## org.eclipse.xsd
Interface XSDPackage.Literals

Enclosing interface:
  XSDPackage

    public static interface XSDPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EDataType` `DOM_ATTR` The meta object literal for the 'DOM Attr' data type
`static EDataType` `DOM_DOCUMENT` The meta object literal for the 'DOM Document' data type
`static EDataType` `DOM_ELEMENT` The meta object literal for the 'DOM Element' data type
`static EDataType` `DOM_NODE` The meta object literal for the 'DOM Node' data type
`static EDataType` `VALUE` The meta object literal for the 'Value' data type
`static EClass` `XSD_ANNOTATION` The meta object literal for the '`Annotation`' class
`static EAttribute` `XSD_ANNOTATION__APPLICATION_INFORMATION` The meta object literal for the 'Application Information' attribute list feature
`static EAttribute` `XSD_ANNOTATION__ATTRIBUTES` The meta object literal for the 'Attributes' attribute list feature
`static EAttribute` `XSD_ANNOTATION__USER_INFORMATION` The meta object literal for the 'User Information' attribute list feature
`static EClass` `XSD_ATTRIBUTE_DECLARATION` The meta object literal for the '`Attribute Declaration`' class
`static EReference` `XSD_ATTRIBUTE_DECLARATION__ANNOTATION` The meta object literal for the 'Annotation' containment reference feature
`static EReference` `XSD_ATTRIBUTE_DECLARATION__ANONYMOUS_TYPE_DEFINITION` The meta object literal for the 'Anonymous Type Definition' containment reference feature
`static EAttribute` `XSD_ATTRIBUTE_DECLARATION__ATTRIBUTE_DECLARATION_REFERENCE` The meta object literal for the 'Attribute Declaration Reference' attribute feature
`static EReference` `XSD_ATTRIBUTE_DECLARATION__RESOLVED_ATTRIBUTE_DECLARATION` The meta object literal for the 'Resolved Attribute Declaration' reference feature
`static EReference` `XSD_ATTRIBUTE_DECLARATION__TYPE_DEFINITION` The meta object literal for the 'Type Definition' reference feature
`static EClass` `XSD_ATTRIBUTE_GROUP_CONTENT` The meta object literal for the '`Attribute Group Content`' class
`static EClass` `XSD_ATTRIBUTE_GROUP_DEFINITION` The meta object literal for the '`Attribute Group Definition`' class
`static EReference` `XSD_ATTRIBUTE_GROUP_DEFINITION__ANNOTATION` The meta object literal for the 'Annotation' containment reference feature
`static EAttribute` `XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_GROUP_DEFINITION_REFERENCE` The meta object literal for the 'Attribute Group Definition Reference' attribute feature
`static EReference` `XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_USES` The meta object literal for the 'Attribute Uses' reference list feature
`static EReference` `XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_WILDCARD` The meta object literal for the 'Attribute Wildcard' reference feature
`static EReference` `XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_WILDCARD_CONTENT` The meta object literal for the 'Attribute Wildcard Content' containment reference feature
`static EReference` `XSD_ATTRIBUTE_GROUP_DEFINITION__CONTENTS` The meta object literal for the 'Contents' containment reference list feature
`static EReference` `XSD_ATTRIBUTE_GROUP_DEFINITION__RESOLVED_ATTRIBUTE_GROUP_DEFINITION` The meta object literal for the 'Resolved Attribute Group Definition' reference feature
`static EReference` `XSD_ATTRIBUTE_GROUP_DEFINITION__SYNTHETIC_WILDCARD` The meta object literal for the 'Synthetic Wildcard' containment reference feature
`static EClass` `XSD_ATTRIBUTE_USE` The meta object literal for the '`Attribute Use`' class
`static EReference` `XSD_ATTRIBUTE_USE__ATTRIBUTE_DECLARATION` The meta object literal for the 'Attribute Declaration' reference feature
`static EAttribute` `XSD_ATTRIBUTE_USE__CONSTRAINT` The meta object literal for the 'Constraint' attribute feature
`static EReference` `XSD_ATTRIBUTE_USE__CONTENT` The meta object literal for the 'Content' containment reference feature
`static EAttribute` `XSD_ATTRIBUTE_USE__LEXICAL_VALUE` The meta object literal for the 'Lexical Value' attribute feature
`static EAttribute` `XSD_ATTRIBUTE_USE__REQUIRED` The meta object literal for the 'Required' attribute feature
`static EAttribute` `XSD_ATTRIBUTE_USE__USE` The meta object literal for the 'Use' attribute feature
`static EAttribute` `XSD_ATTRIBUTE_USE__VALUE` The meta object literal for the 'Value' attribute feature
`static EEnum` `XSD_ATTRIBUTE_USE_CATEGORY` The meta object literal for the '`Attribute Use Category`' enum
`static EClass` `XSD_BOUNDED_FACET` The meta object literal for the '`Bounded Facet`' class
`static EAttribute` `XSD_BOUNDED_FACET__VALUE` The meta object literal for the 'Value' attribute feature
`static EEnum` `XSD_CARDINALITY` The meta object literal for the '`Cardinality`' enum
`static EClass` `XSD_CARDINALITY_FACET` The meta object literal for the '`Cardinality Facet`' class
`static EAttribute` `XSD_CARDINALITY_FACET__VALUE` The meta object literal for the 'Value' attribute feature
`static EEnum` `XSD_COMPLEX_FINAL` The meta object literal for the '`Complex Final`' enum
`static EClass` `XSD_COMPLEX_TYPE_CONTENT` The meta object literal for the '`Complex Type Content`' class
`static EClass` `XSD_COMPLEX_TYPE_DEFINITION` The meta object literal for the '`Complex Type Definition`' class
`static EAttribute` `XSD_COMPLEX_TYPE_DEFINITION__ABSTRACT` The meta object literal for the 'Abstract' attribute feature
`static EReference` `XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_CONTENTS` The meta object literal for the 'Attribute Contents' containment reference list feature
`static EReference` `XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_USES` The meta object literal for the 'Attribute Uses' reference list feature
`static EReference` `XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_WILDCARD` The meta object literal for the 'Attribute Wildcard' reference feature
`static EReference` `XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_WILDCARD_CONTENT` The meta object literal for the 'Attribute Wildcard Content' containment reference feature
`static EReference` `XSD_COMPLEX_TYPE_DEFINITION__BASE_TYPE_DEFINITION` The meta object literal for the 'Base Type Definition' reference feature
`static EAttribute` `XSD_COMPLEX_TYPE_DEFINITION__BLOCK` The meta object literal for the 'Block' attribute list feature
`static EReference` `XSD_COMPLEX_TYPE_DEFINITION__CONTENT` The meta object literal for the 'Content' containment reference feature
`static EReference` `XSD_COMPLEX_TYPE_DEFINITION__CONTENT_ANNOTATION` The meta object literal for the 'Content Annotation' containment reference feature
`static EReference` `XSD_COMPLEX_TYPE_DEFINITION__CONTENT_TYPE` The meta object literal for the 'Content Type' reference feature
`static EAttribute` `XSD_COMPLEX_TYPE_DEFINITION__CONTENT_TYPE_CATEGORY` The meta object literal for the 'Content Type Category' attribute feature
`static EAttribute` `XSD_COMPLEX_TYPE_DEFINITION__DERIVATION_METHOD` The meta object literal for the 'Derivation Method' attribute feature
`static EAttribute` `XSD_COMPLEX_TYPE_DEFINITION__FINAL` The meta object literal for the 'Final' attribute list feature
`static EAttribute` `XSD_COMPLEX_TYPE_DEFINITION__LEXICAL_FINAL` The meta object literal for the 'Lexical Final' attribute list feature
`static EAttribute` `XSD_COMPLEX_TYPE_DEFINITION__MIXED` The meta object literal for the 'Mixed' attribute feature
`static EAttribute` `XSD_COMPLEX_TYPE_DEFINITION__PROHIBITED_SUBSTITUTIONS` The meta object literal for the 'Prohibited Substitutions' attribute list feature
`static EReference` `XSD_COMPLEX_TYPE_DEFINITION__ROOT_TYPE_DEFINITION` The meta object literal for the 'Root Type Definition' reference feature
`static EReference` `XSD_COMPLEX_TYPE_DEFINITION__SYNTHETIC_PARTICLE` The meta object literal for the 'Synthetic Particle' containment reference feature
`static EReference` `XSD_COMPLEX_TYPE_DEFINITION__SYNTHETIC_WILDCARD` The meta object literal for the 'Synthetic Wildcard' containment reference feature
`static EClass` `XSD_COMPONENT` The meta object literal for the '`Component`' class
`static EEnum` `XSD_COMPOSITOR` The meta object literal for the '`Compositor`' enum
`static EClass` `XSD_CONCRETE_COMPONENT` The meta object literal for the '`Concrete Component`' class
`static EReference` `XSD_CONCRETE_COMPONENT__CONTAINER` The meta object literal for the 'Container' reference feature
`static EReference` `XSD_CONCRETE_COMPONENT__DIAGNOSTICS` The meta object literal for the 'Diagnostics' containment reference list feature
`static EAttribute` `XSD_CONCRETE_COMPONENT__ELEMENT` The meta object literal for the 'Element' attribute feature
`static EReference` `XSD_CONCRETE_COMPONENT__ROOT_CONTAINER` The meta object literal for the 'Root Container' reference feature
`static EReference` `XSD_CONCRETE_COMPONENT__SCHEMA` The meta object literal for the 'Schema' reference feature
`static EClass` `XSD_CONSTRAINING_FACET` The meta object literal for the '`Constraining Facet`' class
`static EEnum` `XSD_CONSTRAINT` The meta object literal for the '`Constraint`' enum
`static EEnum` `XSD_CONTENT_TYPE_CATEGORY` The meta object literal for the '`Content Type Category`' enum
`static EEnum` `XSD_DERIVATION_METHOD` The meta object literal for the '`Derivation Method`' enum
`static EClass` `XSD_DIAGNOSTIC` The meta object literal for the '`Diagnostic`' class
`static EAttribute` `XSD_DIAGNOSTIC__ANNOTATION_URI` The meta object literal for the 'Annotation URI' attribute feature
`static EAttribute` `XSD_DIAGNOSTIC__COLUMN` The meta object literal for the 'Column' attribute feature
`static EReference` `XSD_DIAGNOSTIC__COMPONENTS` The meta object literal for the 'Components' reference list feature
`static EAttribute` `XSD_DIAGNOSTIC__KEY` The meta object literal for the 'Key' attribute feature
`static EAttribute` `XSD_DIAGNOSTIC__LINE` The meta object literal for the 'Line' attribute feature
`static EAttribute` `XSD_DIAGNOSTIC__LOCATION_URI` The meta object literal for the 'Location URI' attribute feature
`static EAttribute` `XSD_DIAGNOSTIC__MESSAGE` The meta object literal for the 'Message' attribute feature
`static EAttribute` `XSD_DIAGNOSTIC__NODE` The meta object literal for the 'Node' attribute feature
`static EReference` `XSD_DIAGNOSTIC__PRIMARY_COMPONENT` The meta object literal for the 'Primary Component' reference feature
`static EAttribute` `XSD_DIAGNOSTIC__SEVERITY` The meta object literal for the 'Severity' attribute feature
`static EAttribute` `XSD_DIAGNOSTIC__SUBSTITUTIONS` The meta object literal for the 'Substitutions' attribute list feature
`static EEnum` `XSD_DIAGNOSTIC_SEVERITY` The meta object literal for the '`Diagnostic Severity`' enum
`static EEnum` `XSD_DISALLOWED_SUBSTITUTIONS` The meta object literal for the '`Disallowed Substitutions`' enum
`static EClass` `XSD_ELEMENT_DECLARATION` The meta object literal for the '`Element Declaration`' class
`static EAttribute` `XSD_ELEMENT_DECLARATION__ABSTRACT` The meta object literal for the 'Abstract' attribute feature
`static EReference` `XSD_ELEMENT_DECLARATION__ANNOTATION` The meta object literal for the 'Annotation' containment reference feature
`static EReference` `XSD_ELEMENT_DECLARATION__ANONYMOUS_TYPE_DEFINITION` The meta object literal for the 'Anonymous Type Definition' containment reference feature
`static EAttribute` `XSD_ELEMENT_DECLARATION__BLOCK` The meta object literal for the 'Block' attribute list feature
`static EAttribute` `XSD_ELEMENT_DECLARATION__CIRCULAR` The meta object literal for the 'Circular' attribute feature
`static EAttribute` `XSD_ELEMENT_DECLARATION__DISALLOWED_SUBSTITUTIONS` The meta object literal for the 'Disallowed Substitutions' attribute list feature
`static EAttribute` `XSD_ELEMENT_DECLARATION__ELEMENT_DECLARATION_REFERENCE` The meta object literal for the 'Element Declaration Reference' attribute feature
`static EReference` `XSD_ELEMENT_DECLARATION__IDENTITY_CONSTRAINT_DEFINITIONS` The meta object literal for the 'Identity Constraint Definitions' containment reference list feature
`static EAttribute` `XSD_ELEMENT_DECLARATION__LEXICAL_FINAL` The meta object literal for the 'Lexical Final' attribute list feature
`static EAttribute` `XSD_ELEMENT_DECLARATION__NILLABLE` The meta object literal for the 'Nillable' attribute feature
`static EReference` `XSD_ELEMENT_DECLARATION__RESOLVED_ELEMENT_DECLARATION` The meta object literal for the 'Resolved Element Declaration' reference feature
`static EReference` `XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP` The meta object literal for the 'Substitution Group' reference list feature
`static EReference` `XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP_AFFILIATION` The meta object literal for the 'Substitution Group Affiliation' reference feature
`static EAttribute` `XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP_EXCLUSIONS` The meta object literal for the 'Substitution Group Exclusions' attribute list feature
`static EReference` `XSD_ELEMENT_DECLARATION__TYPE_DEFINITION` The meta object literal for the 'Type Definition' reference feature
`static EClass` `XSD_ENUMERATION_FACET` The meta object literal for the '`Enumeration Facet`' class
`static EAttribute` `XSD_ENUMERATION_FACET__VALUE` The meta object literal for the 'Value' attribute list feature
`static EClass` `XSD_FACET` The meta object literal for the '`Facet`' class
`static EReference` `XSD_FACET__ANNOTATION` The meta object literal for the 'Annotation' containment reference feature
`static EAttribute` `XSD_FACET__EFFECTIVE_VALUE` The meta object literal for the 'Effective Value' attribute feature
`static EAttribute` `XSD_FACET__FACET_NAME` The meta object literal for the 'Facet Name' attribute feature
`static EAttribute` `XSD_FACET__LEXICAL_VALUE` The meta object literal for the 'Lexical Value' attribute feature
`static EReference` `XSD_FACET__SIMPLE_TYPE_DEFINITION` The meta object literal for the 'Simple Type Definition' reference feature
`static EClass` `XSD_FEATURE` The meta object literal for the '`Feature`' class
`static EAttribute` `XSD_FEATURE__CONSTRAINT` The meta object literal for the 'Constraint' attribute feature
`static EAttribute` `XSD_FEATURE__FEATURE_REFERENCE` The meta object literal for the 'Feature Reference' attribute feature
`static EAttribute` `XSD_FEATURE__FORM` The meta object literal for the 'Form' attribute feature
`static EAttribute` `XSD_FEATURE__GLOBAL` The meta object literal for the 'Global' attribute feature
`static EAttribute` `XSD_FEATURE__LEXICAL_VALUE` The meta object literal for the 'Lexical Value' attribute feature
`static EReference` `XSD_FEATURE__RESOLVED_FEATURE` The meta object literal for the 'Resolved Feature' reference feature
`static EReference` `XSD_FEATURE__SCOPE` The meta object literal for the 'Scope' reference feature
`static EReference` `XSD_FEATURE__TYPE` The meta object literal for the 'Type' reference feature
`static EAttribute` `XSD_FEATURE__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `XSD_FIXED_FACET` The meta object literal for the '`Fixed Facet`' class
`static EAttribute` `XSD_FIXED_FACET__FIXED` The meta object literal for the 'Fixed' attribute feature
`static EEnum` `XSD_FORM` The meta object literal for the '`Form`' enum
`static EClass` `XSD_FRACTION_DIGITS_FACET` The meta object literal for the '`Fraction Digits Facet`' class
`static EAttribute` `XSD_FRACTION_DIGITS_FACET__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `XSD_FUNDAMENTAL_FACET` The meta object literal for the '`Fundamental Facet`' class
`static EEnum` `XSD_IDENTITY_CONSTRAINT_CATEGORY` The meta object literal for the '`Identity Constraint Category`' enum
`static EClass` `XSD_IDENTITY_CONSTRAINT_DEFINITION` The meta object literal for the '`Identity Constraint Definition`' class
`static EReference` `XSD_IDENTITY_CONSTRAINT_DEFINITION__ANNOTATION` The meta object literal for the 'Annotation' containment reference feature
`static EReference` `XSD_IDENTITY_CONSTRAINT_DEFINITION__FIELDS` The meta object literal for the 'Fields' containment reference list feature
`static EAttribute` `XSD_IDENTITY_CONSTRAINT_DEFINITION__IDENTITY_CONSTRAINT_CATEGORY` The meta object literal for the 'Identity Constraint Category' attribute feature
`static EReference` `XSD_IDENTITY_CONSTRAINT_DEFINITION__REFERENCED_KEY` The meta object literal for the 'Referenced Key' reference feature
`static EReference` `XSD_IDENTITY_CONSTRAINT_DEFINITION__SELECTOR` The meta object literal for the 'Selector' containment reference feature
`static EClass` `XSD_IMPORT` The meta object literal for the '`Import`' class
`static EReference` `XSD_IMPORT__ANNOTATION` The meta object literal for the 'Annotation' containment reference feature
`static EAttribute` `XSD_IMPORT__NAMESPACE` The meta object literal for the 'Namespace' attribute feature
`static EClass` `XSD_INCLUDE` The meta object literal for the '`Include`' class
`static EReference` `XSD_INCLUDE__ANNOTATION` The meta object literal for the 'Annotation' containment reference feature
`static EClass` `XSD_LENGTH_FACET` The meta object literal for the '`Length Facet`' class
`static EAttribute` `XSD_LENGTH_FACET__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `XSD_MAX_EXCLUSIVE_FACET` The meta object literal for the '`Max Exclusive Facet`' class
`static EClass` `XSD_MAX_FACET` The meta object literal for the '`Max Facet`' class
`static EAttribute` `XSD_MAX_FACET__EXCLUSIVE` The meta object literal for the 'Exclusive' attribute feature
`static EAttribute` `XSD_MAX_FACET__INCLUSIVE` The meta object literal for the 'Inclusive' attribute feature
`static EAttribute` `XSD_MAX_FACET__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `XSD_MAX_INCLUSIVE_FACET` The meta object literal for the '`Max Inclusive Facet`' class
`static EClass` `XSD_MAX_LENGTH_FACET` The meta object literal for the '`Max Length Facet`' class
`static EAttribute` `XSD_MAX_LENGTH_FACET__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `XSD_MIN_EXCLUSIVE_FACET` The meta object literal for the '`Min Exclusive Facet`' class
`static EClass` `XSD_MIN_FACET` The meta object literal for the '`Min Facet`' class
`static EAttribute` `XSD_MIN_FACET__EXCLUSIVE` The meta object literal for the 'Exclusive' attribute feature
`static EAttribute` `XSD_MIN_FACET__INCLUSIVE` The meta object literal for the 'Inclusive' attribute feature
`static EAttribute` `XSD_MIN_FACET__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `XSD_MIN_INCLUSIVE_FACET` The meta object literal for the '`Min Inclusive Facet`' class
`static EClass` `XSD_MIN_LENGTH_FACET` The meta object literal for the '`Min Length Facet`' class
`static EAttribute` `XSD_MIN_LENGTH_FACET__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `XSD_MODEL_GROUP` The meta object literal for the '`Model Group`' class
`static EReference` `XSD_MODEL_GROUP__ANNOTATION` The meta object literal for the 'Annotation' containment reference feature
`static EAttribute` `XSD_MODEL_GROUP__COMPOSITOR` The meta object literal for the 'Compositor' attribute feature
`static EReference` `XSD_MODEL_GROUP__CONTENTS` The meta object literal for the 'Contents' containment reference list feature
`static EReference` `XSD_MODEL_GROUP__PARTICLES` The meta object literal for the 'Particles' reference list feature
`static EClass` `XSD_MODEL_GROUP_DEFINITION` The meta object literal for the '`Model Group Definition`' class
`static EReference` `XSD_MODEL_GROUP_DEFINITION__ANNOTATION` The meta object literal for the 'Annotation' containment reference feature
`static EReference` `XSD_MODEL_GROUP_DEFINITION__MODEL_GROUP` The meta object literal for the 'Model Group' containment reference feature
`static EAttribute` `XSD_MODEL_GROUP_DEFINITION__MODEL_GROUP_DEFINITION_REFERENCE` The meta object literal for the 'Model Group Definition Reference' attribute feature
`static EReference` `XSD_MODEL_GROUP_DEFINITION__RESOLVED_MODEL_GROUP_DEFINITION` The meta object literal for the 'Resolved Model Group Definition' reference feature
`static EClass` `XSD_NAMED_COMPONENT` The meta object literal for the '`Named Component`' class
`static EAttribute` `XSD_NAMED_COMPONENT__ALIAS_NAME` The meta object literal for the 'Alias Name' attribute feature
`static EAttribute` `XSD_NAMED_COMPONENT__ALIAS_URI` The meta object literal for the 'Alias URI' attribute feature
`static EAttribute` `XSD_NAMED_COMPONENT__NAME` The meta object literal for the 'Name' attribute feature
`static EAttribute` `XSD_NAMED_COMPONENT__QNAME` The meta object literal for the 'QName' attribute feature
`static EAttribute` `XSD_NAMED_COMPONENT__TARGET_NAMESPACE` The meta object literal for the 'Target Namespace' attribute feature
`static EAttribute` `XSD_NAMED_COMPONENT__URI` The meta object literal for the 'URI' attribute feature
`static EEnum` `XSD_NAMESPACE_CONSTRAINT_CATEGORY` The meta object literal for the '`Namespace Constraint Category`' enum
`static EClass` `XSD_NOTATION_DECLARATION` The meta object literal for the '`Notation Declaration`' class
`static EReference` `XSD_NOTATION_DECLARATION__ANNOTATION` The meta object literal for the 'Annotation' containment reference feature
`static EAttribute` `XSD_NOTATION_DECLARATION__PUBLIC_IDENTIFIER` The meta object literal for the 'Public Identifier' attribute feature
`static EAttribute` `XSD_NOTATION_DECLARATION__SYSTEM_IDENTIFIER` The meta object literal for the 'System Identifier' attribute feature
`static EClass` `XSD_NUMERIC_FACET` The meta object literal for the '`Numeric Facet`' class
`static EAttribute` `XSD_NUMERIC_FACET__VALUE` The meta object literal for the 'Value' attribute feature
`static EEnum` `XSD_ORDERED` The meta object literal for the '`Ordered`' enum
`static EClass` `XSD_ORDERED_FACET` The meta object literal for the '`Ordered Facet`' class
`static EAttribute` `XSD_ORDERED_FACET__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `XSD_PARTICLE` The meta object literal for the '`Particle`' class
`static EReference` `XSD_PARTICLE__CONTENT` The meta object literal for the 'Content' containment reference feature
`static EAttribute` `XSD_PARTICLE__MAX_OCCURS` The meta object literal for the 'Max Occurs' attribute feature
`static EAttribute` `XSD_PARTICLE__MIN_OCCURS` The meta object literal for the 'Min Occurs' attribute feature
`static EReference` `XSD_PARTICLE__TERM` The meta object literal for the 'Term' reference feature
`static EClass` `XSD_PARTICLE_CONTENT` The meta object literal for the '`Particle Content`' class
`static EClass` `XSD_PATTERN_FACET` The meta object literal for the '`Pattern Facet`' class
`static EAttribute` `XSD_PATTERN_FACET__VALUE` The meta object literal for the 'Value' attribute list feature
`static EEnum` `XSD_PROCESS_CONTENTS` The meta object literal for the '`Process Contents`' enum
`static EEnum` `XSD_PROHIBITED_SUBSTITUTIONS` The meta object literal for the '`Prohibited Substitutions`' enum
`static EClass` `XSD_REDEFINABLE_COMPONENT` The meta object literal for the '`Redefinable Component`' class
`static EAttribute` `XSD_REDEFINABLE_COMPONENT__CIRCULAR` The meta object literal for the 'Circular' attribute feature
`static EClass` `XSD_REDEFINE` The meta object literal for the '`Redefine`' class
`static EReference` `XSD_REDEFINE__ANNOTATIONS` The meta object literal for the 'Annotations' reference list feature
`static EReference` `XSD_REDEFINE__CONTENTS` The meta object literal for the 'Contents' containment reference list feature
`static EClass` `XSD_REDEFINE_CONTENT` The meta object literal for the '`Redefine Content`' class
`static EClass` `XSD_REPEATABLE_FACET` The meta object literal for the '`Repeatable Facet`' class
`static EReference` `XSD_REPEATABLE_FACET__ANNOTATIONS` The meta object literal for the 'Annotations' reference list feature
`static EClass` `XSD_SCHEMA` The meta object literal for the '`Schema`' class
`static EReference` `XSD_SCHEMA__ALL_DIAGNOSTICS` The meta object literal for the 'All Diagnostics' reference list feature
`static EReference` `XSD_SCHEMA__ANNOTATIONS` The meta object literal for the 'Annotations' reference list feature
`static EReference` `XSD_SCHEMA__ATTRIBUTE_DECLARATIONS` The meta object literal for the 'Attribute Declarations' reference list feature
`static EAttribute` `XSD_SCHEMA__ATTRIBUTE_FORM_DEFAULT` The meta object literal for the 'Attribute Form Default' attribute feature
`static EReference` `XSD_SCHEMA__ATTRIBUTE_GROUP_DEFINITIONS` The meta object literal for the 'Attribute Group Definitions' reference list feature
`static EAttribute` `XSD_SCHEMA__BLOCK_DEFAULT` The meta object literal for the 'Block Default' attribute list feature
`static EReference` `XSD_SCHEMA__CONTENTS` The meta object literal for the 'Contents' containment reference list feature
`static EAttribute` `XSD_SCHEMA__DOCUMENT` The meta object literal for the 'Document' attribute feature
`static EReference` `XSD_SCHEMA__ELEMENT_DECLARATIONS` The meta object literal for the 'Element Declarations' reference list feature
`static EAttribute` `XSD_SCHEMA__ELEMENT_FORM_DEFAULT` The meta object literal for the 'Element Form Default' attribute feature
`static EAttribute` `XSD_SCHEMA__FINAL_DEFAULT` The meta object literal for the 'Final Default' attribute list feature
`static EReference` `XSD_SCHEMA__IDENTITY_CONSTRAINT_DEFINITIONS` The meta object literal for the 'Identity Constraint Definitions' reference list feature
`static EReference` `XSD_SCHEMA__INCORPORATED_VERSIONS` The meta object literal for the 'Incorporated Versions' containment reference list feature
`static EReference` `XSD_SCHEMA__MODEL_GROUP_DEFINITIONS` The meta object literal for the 'Model Group Definitions' reference list feature
`static EReference` `XSD_SCHEMA__NOTATION_DECLARATIONS` The meta object literal for the 'Notation Declarations' reference list feature
`static EReference` `XSD_SCHEMA__ORIGINAL_VERSION` The meta object literal for the 'Original Version' reference feature
`static EReference` `XSD_SCHEMA__REFERENCING_DIRECTIVES` The meta object literal for the 'Referencing Directives' reference list feature
`static EReference` `XSD_SCHEMA__ROOT_VERSION` The meta object literal for the 'Root Version' reference feature
`static EReference` `XSD_SCHEMA__SCHEMA_FOR_SCHEMA` The meta object literal for the 'Schema For Schema' reference feature
`static EAttribute` `XSD_SCHEMA__SCHEMA_LOCATION` The meta object literal for the 'Schema Location' attribute feature
`static EAttribute` `XSD_SCHEMA__TARGET_NAMESPACE` The meta object literal for the 'Target Namespace' attribute feature
`static EReference` `XSD_SCHEMA__TYPE_DEFINITIONS` The meta object literal for the 'Type Definitions' reference list feature
`static EAttribute` `XSD_SCHEMA__VERSION` The meta object literal for the 'Version' attribute feature
`static EClass` `XSD_SCHEMA_COMPOSITOR` The meta object literal for the '`Schema Compositor`' class
`static EReference` `XSD_SCHEMA_COMPOSITOR__INCORPORATED_SCHEMA` The meta object literal for the 'Incorporated Schema' reference feature
`static EClass` `XSD_SCHEMA_CONTENT` The meta object literal for the '`Schema Content`' class
`static EClass` `XSD_SCHEMA_DIRECTIVE` The meta object literal for the '`Schema Directive`' class
`static EReference` `XSD_SCHEMA_DIRECTIVE__RESOLVED_SCHEMA` The meta object literal for the 'Resolved Schema' reference feature
`static EAttribute` `XSD_SCHEMA_DIRECTIVE__SCHEMA_LOCATION` The meta object literal for the 'Schema Location' attribute feature
`static EClass` `XSD_SCOPE` The meta object literal for the '`Scope`' class
`static EEnum` `XSD_SIMPLE_FINAL` The meta object literal for the '`Simple Final`' enum
`static EClass` `XSD_SIMPLE_TYPE_DEFINITION` The meta object literal for the '`Simple Type Definition`' class
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__BASE_TYPE_DEFINITION` The meta object literal for the 'Base Type Definition' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__BOUNDED_FACET` The meta object literal for the 'Bounded Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__CARDINALITY_FACET` The meta object literal for the 'Cardinality Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__CONTENTS` The meta object literal for the 'Contents' containment reference list feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_ENUMERATION_FACET` The meta object literal for the 'Effective Enumeration Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_FRACTION_DIGITS_FACET` The meta object literal for the 'Effective Fraction Digits Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_LENGTH_FACET` The meta object literal for the 'Effective Length Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MAX_FACET` The meta object literal for the 'Effective Max Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MAX_LENGTH_FACET` The meta object literal for the 'Effective Max Length Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MIN_FACET` The meta object literal for the 'Effective Min Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MIN_LENGTH_FACET` The meta object literal for the 'Effective Min Length Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_PATTERN_FACET` The meta object literal for the 'Effective Pattern Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_TOTAL_DIGITS_FACET` The meta object literal for the 'Effective Total Digits Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_WHITE_SPACE_FACET` The meta object literal for the 'Effective White Space Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__ENUMERATION_FACETS` The meta object literal for the 'Enumeration Facets' reference list feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__FACET_CONTENTS` The meta object literal for the 'Facet Contents' containment reference list feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__FACETS` The meta object literal for the 'Facets' reference list feature
`static EAttribute` `XSD_SIMPLE_TYPE_DEFINITION__FINAL` The meta object literal for the 'Final' attribute list feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__FRACTION_DIGITS_FACET` The meta object literal for the 'Fraction Digits Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__FUNDAMENTAL_FACETS` The meta object literal for the 'Fundamental Facets' containment reference list feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__ITEM_TYPE_DEFINITION` The meta object literal for the 'Item Type Definition' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__LENGTH_FACET` The meta object literal for the 'Length Facet' reference feature
`static EAttribute` `XSD_SIMPLE_TYPE_DEFINITION__LEXICAL_FINAL` The meta object literal for the 'Lexical Final' attribute list feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__MAX_EXCLUSIVE_FACET` The meta object literal for the 'Max Exclusive Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__MAX_FACET` The meta object literal for the 'Max Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__MAX_INCLUSIVE_FACET` The meta object literal for the 'Max Inclusive Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__MAX_LENGTH_FACET` The meta object literal for the 'Max Length Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__MEMBER_TYPE_DEFINITIONS` The meta object literal for the 'Member Type Definitions' reference list feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__MIN_EXCLUSIVE_FACET` The meta object literal for the 'Min Exclusive Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__MIN_FACET` The meta object literal for the 'Min Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__MIN_INCLUSIVE_FACET` The meta object literal for the 'Min Inclusive Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__MIN_LENGTH_FACET` The meta object literal for the 'Min Length Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__NUMERIC_FACET` The meta object literal for the 'Numeric Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__ORDERED_FACET` The meta object literal for the 'Ordered Facet' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__PATTERN_FACETS` The meta object literal for the 'Pattern Facets' reference list feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__PRIMITIVE_TYPE_DEFINITION` The meta object literal for the 'Primitive Type Definition' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__ROOT_TYPE_DEFINITION` The meta object literal for the 'Root Type Definition' reference feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__SYNTHETIC_FACETS` The meta object literal for the 'Synthetic Facets' containment reference list feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__TOTAL_DIGITS_FACET` The meta object literal for the 'Total Digits Facet' reference feature
`static EAttribute` `XSD_SIMPLE_TYPE_DEFINITION__VALID_FACETS` The meta object literal for the 'Valid Facets' attribute list feature
`static EAttribute` `XSD_SIMPLE_TYPE_DEFINITION__VARIETY` The meta object literal for the 'Variety' attribute feature
`static EReference` `XSD_SIMPLE_TYPE_DEFINITION__WHITE_SPACE_FACET` The meta object literal for the 'White Space Facet' reference feature
`static EEnum` `XSD_SUBSTITUTION_GROUP_EXCLUSIONS` The meta object literal for the '`Substitution Group Exclusions`' enum
`static EClass` `XSD_TERM` The meta object literal for the '`Term`' class
`static EClass` `XSD_TOTAL_DIGITS_FACET` The meta object literal for the '`Total Digits Facet`' class
`static EAttribute` `XSD_TOTAL_DIGITS_FACET__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `XSD_TYPE_DEFINITION` The meta object literal for the '`Type Definition`' class
`static EReference` `XSD_TYPE_DEFINITION__ANNOTATION` The meta object literal for the 'Annotation' containment reference feature
`static EReference` `XSD_TYPE_DEFINITION__ANNOTATIONS` The meta object literal for the 'Annotations' reference list feature
`static EReference` `XSD_TYPE_DEFINITION__BASE_TYPE` The meta object literal for the 'Base Type' reference feature
`static EReference` `XSD_TYPE_DEFINITION__COMPLEX_TYPE` The meta object literal for the 'Complex Type' reference feature
`static EReference` `XSD_TYPE_DEFINITION__DERIVATION_ANNOTATION` The meta object literal for the 'Derivation Annotation' containment reference feature
`static EReference` `XSD_TYPE_DEFINITION__ROOT_TYPE` The meta object literal for the 'Root Type' reference feature
`static EReference` `XSD_TYPE_DEFINITION__SIMPLE_TYPE` The meta object literal for the 'Simple Type' reference feature
`static EEnum` `XSD_VARIETY` The meta object literal for the '`Variety`' enum
`static EEnum` `XSD_WHITE_SPACE` The meta object literal for the '`White Space`' enum
`static EClass` `XSD_WHITE_SPACE_FACET` The meta object literal for the '`White Space Facet`' class
`static EAttribute` `XSD_WHITE_SPACE_FACET__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `XSD_WILDCARD` The meta object literal for the '`Wildcard`' class
`static EReference` `XSD_WILDCARD__ANNOTATION` The meta object literal for the 'Annotation' containment reference feature
`static EReference` `XSD_WILDCARD__ANNOTATIONS` The meta object literal for the 'Annotations' reference list feature
`static EAttribute` `XSD_WILDCARD__LEXICAL_NAMESPACE_CONSTRAINT` The meta object literal for the 'Lexical Namespace Constraint' attribute list feature
`static EAttribute` `XSD_WILDCARD__NAMESPACE_CONSTRAINT` The meta object literal for the 'Namespace Constraint' attribute list feature
`static EAttribute` `XSD_WILDCARD__NAMESPACE_CONSTRAINT_CATEGORY` The meta object literal for the 'Namespace Constraint Category' attribute feature
`static EAttribute` `XSD_WILDCARD__PROCESS_CONTENTS` The meta object literal for the 'Process Contents' attribute feature
`static EClass` `XSD_XPATH_DEFINITION` The meta object literal for the '`XPath Definition`' class
`static EReference` `XSD_XPATH_DEFINITION__ANNOTATION` The meta object literal for the 'Annotation' containment reference feature
`static EAttribute` `XSD_XPATH_DEFINITION__VALUE` The meta object literal for the 'Value' attribute feature
`static EAttribute` `XSD_XPATH_DEFINITION__VARIETY` The meta object literal for the 'Variety' attribute feature
`static EEnum` `XSD_XPATH_VARIETY` The meta object literal for the '`XPath Variety`' enum

Field Detail

### XSD_ANNOTATION

    static final EClass XSD_ANNOTATION

  The meta object literal for the '`Annotation`' class.

  See Also:
    `XSDAnnotationImpl`, `XSDPackageImpl.getXSDAnnotation()`

### XSD_ANNOTATION__APPLICATION_INFORMATION

    static final EAttribute XSD_ANNOTATION__APPLICATION_INFORMATION

  The meta object literal for the 'Application Information' attribute list feature.

### XSD_ANNOTATION__USER_INFORMATION

    static final EAttribute XSD_ANNOTATION__USER_INFORMATION

  The meta object literal for the 'User Information' attribute list feature.

### XSD_ANNOTATION__ATTRIBUTES

    static final EAttribute XSD_ANNOTATION__ATTRIBUTES

  The meta object literal for the 'Attributes' attribute list feature.

### XSD_ATTRIBUTE_DECLARATION

    static final EClass XSD_ATTRIBUTE_DECLARATION

  The meta object literal for the '`Attribute Declaration`' class.

  See Also:
    `XSDAttributeDeclarationImpl`, `XSDPackageImpl.getXSDAttributeDeclaration()`

### XSD_ATTRIBUTE_DECLARATION__ATTRIBUTE_DECLARATION_REFERENCE

    static final EAttribute XSD_ATTRIBUTE_DECLARATION__ATTRIBUTE_DECLARATION_REFERENCE

  The meta object literal for the 'Attribute Declaration Reference' attribute feature.

### XSD_ATTRIBUTE_DECLARATION__ANNOTATION

    static final EReference XSD_ATTRIBUTE_DECLARATION__ANNOTATION

  The meta object literal for the 'Annotation' containment reference feature.

### XSD_ATTRIBUTE_DECLARATION__ANONYMOUS_TYPE_DEFINITION

    static final EReference XSD_ATTRIBUTE_DECLARATION__ANONYMOUS_TYPE_DEFINITION

  The meta object literal for the 'Anonymous Type Definition' containment reference feature.

### XSD_ATTRIBUTE_DECLARATION__TYPE_DEFINITION

    static final EReference XSD_ATTRIBUTE_DECLARATION__TYPE_DEFINITION

  The meta object literal for the 'Type Definition' reference feature.

### XSD_ATTRIBUTE_DECLARATION__RESOLVED_ATTRIBUTE_DECLARATION

    static final EReference XSD_ATTRIBUTE_DECLARATION__RESOLVED_ATTRIBUTE_DECLARATION

  The meta object literal for the 'Resolved Attribute Declaration' reference feature.

### XSD_ATTRIBUTE_GROUP_CONTENT

    static final EClass XSD_ATTRIBUTE_GROUP_CONTENT

  The meta object literal for the '`Attribute Group Content`' class.

  See Also:
    `XSDAttributeGroupContentImpl`, `XSDPackageImpl.getXSDAttributeGroupContent()`

### XSD_ATTRIBUTE_GROUP_DEFINITION

    static final EClass XSD_ATTRIBUTE_GROUP_DEFINITION

  The meta object literal for the '`Attribute Group Definition`' class.

  See Also:
    `XSDAttributeGroupDefinitionImpl`, `XSDPackageImpl.getXSDAttributeGroupDefinition()`

### XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_GROUP_DEFINITION_REFERENCE

    static final EAttribute XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_GROUP_DEFINITION_REFERENCE

  The meta object literal for the 'Attribute Group Definition Reference' attribute feature.

### XSD_ATTRIBUTE_GROUP_DEFINITION__ANNOTATION

    static final EReference XSD_ATTRIBUTE_GROUP_DEFINITION__ANNOTATION

  The meta object literal for the 'Annotation' containment reference feature.

### XSD_ATTRIBUTE_GROUP_DEFINITION__CONTENTS

    static final EReference XSD_ATTRIBUTE_GROUP_DEFINITION__CONTENTS

  The meta object literal for the 'Contents' containment reference list feature.

### XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_USES

    static final EReference XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_USES

  The meta object literal for the 'Attribute Uses' reference list feature.

### XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_WILDCARD_CONTENT

    static final EReference XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_WILDCARD_CONTENT

  The meta object literal for the 'Attribute Wildcard Content' containment reference feature.

### XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_WILDCARD

    static final EReference XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_WILDCARD

  The meta object literal for the 'Attribute Wildcard' reference feature.

### XSD_ATTRIBUTE_GROUP_DEFINITION__RESOLVED_ATTRIBUTE_GROUP_DEFINITION

    static final EReference XSD_ATTRIBUTE_GROUP_DEFINITION__RESOLVED_ATTRIBUTE_GROUP_DEFINITION

  The meta object literal for the 'Resolved Attribute Group Definition' reference feature.

### XSD_ATTRIBUTE_GROUP_DEFINITION__SYNTHETIC_WILDCARD

    static final EReference XSD_ATTRIBUTE_GROUP_DEFINITION__SYNTHETIC_WILDCARD

  The meta object literal for the 'Synthetic Wildcard' containment reference feature.

### XSD_ATTRIBUTE_USE

    static final EClass XSD_ATTRIBUTE_USE

  The meta object literal for the '`Attribute Use`' class.

  See Also:
    `XSDAttributeUseImpl`, `XSDPackageImpl.getXSDAttributeUse()`

### XSD_ATTRIBUTE_USE__REQUIRED

    static final EAttribute XSD_ATTRIBUTE_USE__REQUIRED

  The meta object literal for the 'Required' attribute feature.

### XSD_ATTRIBUTE_USE__VALUE

    static final EAttribute XSD_ATTRIBUTE_USE__VALUE

  The meta object literal for the 'Value' attribute feature.

### XSD_ATTRIBUTE_USE__CONSTRAINT

    static final EAttribute XSD_ATTRIBUTE_USE__CONSTRAINT

  The meta object literal for the 'Constraint' attribute feature.

### XSD_ATTRIBUTE_USE__USE

    static final EAttribute XSD_ATTRIBUTE_USE__USE

  The meta object literal for the 'Use' attribute feature.

### XSD_ATTRIBUTE_USE__LEXICAL_VALUE

    static final EAttribute XSD_ATTRIBUTE_USE__LEXICAL_VALUE

  The meta object literal for the 'Lexical Value' attribute feature.

### XSD_ATTRIBUTE_USE__ATTRIBUTE_DECLARATION

    static final EReference XSD_ATTRIBUTE_USE__ATTRIBUTE_DECLARATION

  The meta object literal for the 'Attribute Declaration' reference feature.

### XSD_ATTRIBUTE_USE__CONTENT

    static final EReference XSD_ATTRIBUTE_USE__CONTENT

  The meta object literal for the 'Content' containment reference feature.

### XSD_BOUNDED_FACET

    static final EClass XSD_BOUNDED_FACET

  The meta object literal for the '`Bounded Facet`' class.

  See Also:
    `XSDBoundedFacetImpl`, `XSDPackageImpl.getXSDBoundedFacet()`

### XSD_BOUNDED_FACET__VALUE

    static final EAttribute XSD_BOUNDED_FACET__VALUE

  The meta object literal for the 'Value' attribute feature.

### XSD_CARDINALITY_FACET

    static final EClass XSD_CARDINALITY_FACET

  The meta object literal for the '`Cardinality Facet`' class.

  See Also:
    `XSDCardinalityFacetImpl`, `XSDPackageImpl.getXSDCardinalityFacet()`

### XSD_CARDINALITY_FACET__VALUE

    static final EAttribute XSD_CARDINALITY_FACET__VALUE

  The meta object literal for the 'Value' attribute feature.

### XSD_COMPLEX_TYPE_CONTENT

    static final EClass XSD_COMPLEX_TYPE_CONTENT

  The meta object literal for the '`Complex Type Content`' class.

  See Also:
    `XSDComplexTypeContentImpl`, `XSDPackageImpl.getXSDComplexTypeContent()`

### XSD_COMPLEX_TYPE_DEFINITION

    static final EClass XSD_COMPLEX_TYPE_DEFINITION

  The meta object literal for the '`Complex Type Definition`' class.

  See Also:
    `XSDComplexTypeDefinitionImpl`, `XSDPackageImpl.getXSDComplexTypeDefinition()`

### XSD_COMPLEX_TYPE_DEFINITION__DERIVATION_METHOD

    static final EAttribute XSD_COMPLEX_TYPE_DEFINITION__DERIVATION_METHOD

  The meta object literal for the 'Derivation Method' attribute feature.

### XSD_COMPLEX_TYPE_DEFINITION__FINAL

    static final EAttribute XSD_COMPLEX_TYPE_DEFINITION__FINAL

  The meta object literal for the 'Final' attribute list feature.

### XSD_COMPLEX_TYPE_DEFINITION__ABSTRACT

    static final EAttribute XSD_COMPLEX_TYPE_DEFINITION__ABSTRACT

  The meta object literal for the 'Abstract' attribute feature.

### XSD_COMPLEX_TYPE_DEFINITION__CONTENT_TYPE_CATEGORY

    static final EAttribute XSD_COMPLEX_TYPE_DEFINITION__CONTENT_TYPE_CATEGORY

  The meta object literal for the 'Content Type Category' attribute feature.

### XSD_COMPLEX_TYPE_DEFINITION__PROHIBITED_SUBSTITUTIONS

    static final EAttribute XSD_COMPLEX_TYPE_DEFINITION__PROHIBITED_SUBSTITUTIONS

  The meta object literal for the 'Prohibited Substitutions' attribute list feature.

### XSD_COMPLEX_TYPE_DEFINITION__LEXICAL_FINAL

    static final EAttribute XSD_COMPLEX_TYPE_DEFINITION__LEXICAL_FINAL

  The meta object literal for the 'Lexical Final' attribute list feature.

### XSD_COMPLEX_TYPE_DEFINITION__BLOCK

    static final EAttribute XSD_COMPLEX_TYPE_DEFINITION__BLOCK

  The meta object literal for the 'Block' attribute list feature.

### XSD_COMPLEX_TYPE_DEFINITION__MIXED

    static final EAttribute XSD_COMPLEX_TYPE_DEFINITION__MIXED

  The meta object literal for the 'Mixed' attribute feature.

### XSD_COMPLEX_TYPE_DEFINITION__CONTENT_ANNOTATION

    static final EReference XSD_COMPLEX_TYPE_DEFINITION__CONTENT_ANNOTATION

  The meta object literal for the 'Content Annotation' containment reference feature.

### XSD_COMPLEX_TYPE_DEFINITION__BASE_TYPE_DEFINITION

    static final EReference XSD_COMPLEX_TYPE_DEFINITION__BASE_TYPE_DEFINITION

  The meta object literal for the 'Base Type Definition' reference feature.

### XSD_COMPLEX_TYPE_DEFINITION__CONTENT

    static final EReference XSD_COMPLEX_TYPE_DEFINITION__CONTENT

  The meta object literal for the 'Content' containment reference feature.

### XSD_COMPLEX_TYPE_DEFINITION__CONTENT_TYPE

    static final EReference XSD_COMPLEX_TYPE_DEFINITION__CONTENT_TYPE

  The meta object literal for the 'Content Type' reference feature.

### XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_USES

    static final EReference XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_USES

  The meta object literal for the 'Attribute Uses' reference list feature.

### XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_CONTENTS

    static final EReference XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_CONTENTS

  The meta object literal for the 'Attribute Contents' containment reference list feature.

### XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_WILDCARD

    static final EReference XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_WILDCARD

  The meta object literal for the 'Attribute Wildcard' reference feature.

### XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_WILDCARD_CONTENT

    static final EReference XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_WILDCARD_CONTENT

  The meta object literal for the 'Attribute Wildcard Content' containment reference feature.

### XSD_COMPLEX_TYPE_DEFINITION__ROOT_TYPE_DEFINITION

    static final EReference XSD_COMPLEX_TYPE_DEFINITION__ROOT_TYPE_DEFINITION

  The meta object literal for the 'Root Type Definition' reference feature.

### XSD_COMPLEX_TYPE_DEFINITION__SYNTHETIC_PARTICLE

    static final EReference XSD_COMPLEX_TYPE_DEFINITION__SYNTHETIC_PARTICLE

  The meta object literal for the 'Synthetic Particle' containment reference feature.

### XSD_COMPLEX_TYPE_DEFINITION__SYNTHETIC_WILDCARD

    static final EReference XSD_COMPLEX_TYPE_DEFINITION__SYNTHETIC_WILDCARD

  The meta object literal for the 'Synthetic Wildcard' containment reference feature.

### XSD_COMPONENT

    static final EClass XSD_COMPONENT

  The meta object literal for the '`Component`' class.

  See Also:
    `XSDComponentImpl`, `XSDPackageImpl.getXSDComponent()`

### XSD_CONCRETE_COMPONENT

    static final EClass XSD_CONCRETE_COMPONENT

  The meta object literal for the '`Concrete Component`' class.

  See Also:
    `XSDConcreteComponentImpl`, `XSDPackageImpl.getXSDConcreteComponent()`

### XSD_CONCRETE_COMPONENT__ELEMENT

    static final EAttribute XSD_CONCRETE_COMPONENT__ELEMENT

  The meta object literal for the 'Element' attribute feature.

### XSD_CONCRETE_COMPONENT__CONTAINER

    static final EReference XSD_CONCRETE_COMPONENT__CONTAINER

  The meta object literal for the 'Container' reference feature.

### XSD_CONCRETE_COMPONENT__ROOT_CONTAINER

    static final EReference XSD_CONCRETE_COMPONENT__ROOT_CONTAINER

  The meta object literal for the 'Root Container' reference feature.

### XSD_CONCRETE_COMPONENT__SCHEMA

    static final EReference XSD_CONCRETE_COMPONENT__SCHEMA

  The meta object literal for the 'Schema' reference feature.

### XSD_CONCRETE_COMPONENT__DIAGNOSTICS

    static final EReference XSD_CONCRETE_COMPONENT__DIAGNOSTICS

  The meta object literal for the 'Diagnostics' containment reference list feature.

### XSD_CONSTRAINING_FACET

    static final EClass XSD_CONSTRAINING_FACET

  The meta object literal for the '`Constraining Facet`' class.

  See Also:
    `XSDConstrainingFacetImpl`, `XSDPackageImpl.getXSDConstrainingFacet()`

### XSD_DIAGNOSTIC

    static final EClass XSD_DIAGNOSTIC

  The meta object literal for the '`Diagnostic`' class.

  See Also:
    `XSDDiagnosticImpl`, `XSDPackageImpl.getXSDDiagnostic()`

### XSD_DIAGNOSTIC__SEVERITY

    static final EAttribute XSD_DIAGNOSTIC__SEVERITY

  The meta object literal for the 'Severity' attribute feature.

### XSD_DIAGNOSTIC__MESSAGE

    static final EAttribute XSD_DIAGNOSTIC__MESSAGE

  The meta object literal for the 'Message' attribute feature.

### XSD_DIAGNOSTIC__LOCATION_URI

    static final EAttribute XSD_DIAGNOSTIC__LOCATION_URI

  The meta object literal for the 'Location URI' attribute feature.

### XSD_DIAGNOSTIC__LINE

    static final EAttribute XSD_DIAGNOSTIC__LINE

  The meta object literal for the 'Line' attribute feature.

### XSD_DIAGNOSTIC__COLUMN

    static final EAttribute XSD_DIAGNOSTIC__COLUMN

  The meta object literal for the 'Column' attribute feature.

### XSD_DIAGNOSTIC__NODE

    static final EAttribute XSD_DIAGNOSTIC__NODE

  The meta object literal for the 'Node' attribute feature.

### XSD_DIAGNOSTIC__ANNOTATION_URI

    static final EAttribute XSD_DIAGNOSTIC__ANNOTATION_URI

  The meta object literal for the 'Annotation URI' attribute feature.

### XSD_DIAGNOSTIC__KEY

    static final EAttribute XSD_DIAGNOSTIC__KEY

  The meta object literal for the 'Key' attribute feature.

### XSD_DIAGNOSTIC__SUBSTITUTIONS

    static final EAttribute XSD_DIAGNOSTIC__SUBSTITUTIONS

  The meta object literal for the 'Substitutions' attribute list feature.

### XSD_DIAGNOSTIC__COMPONENTS

    static final EReference XSD_DIAGNOSTIC__COMPONENTS

  The meta object literal for the 'Components' reference list feature.

### XSD_DIAGNOSTIC__PRIMARY_COMPONENT

    static final EReference XSD_DIAGNOSTIC__PRIMARY_COMPONENT

  The meta object literal for the 'Primary Component' reference feature.

### XSD_ELEMENT_DECLARATION

    static final EClass XSD_ELEMENT_DECLARATION

  The meta object literal for the '`Element Declaration`' class.

  See Also:
    `XSDElementDeclarationImpl`, `XSDPackageImpl.getXSDElementDeclaration()`

### XSD_ELEMENT_DECLARATION__NILLABLE

    static final EAttribute XSD_ELEMENT_DECLARATION__NILLABLE

  The meta object literal for the 'Nillable' attribute feature.

### XSD_ELEMENT_DECLARATION__DISALLOWED_SUBSTITUTIONS

    static final EAttribute XSD_ELEMENT_DECLARATION__DISALLOWED_SUBSTITUTIONS

  The meta object literal for the 'Disallowed Substitutions' attribute list feature.

### XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP_EXCLUSIONS

    static final EAttribute XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP_EXCLUSIONS

  The meta object literal for the 'Substitution Group Exclusions' attribute list feature.

### XSD_ELEMENT_DECLARATION__ABSTRACT

    static final EAttribute XSD_ELEMENT_DECLARATION__ABSTRACT

  The meta object literal for the 'Abstract' attribute feature.

### XSD_ELEMENT_DECLARATION__LEXICAL_FINAL

    static final EAttribute XSD_ELEMENT_DECLARATION__LEXICAL_FINAL

  The meta object literal for the 'Lexical Final' attribute list feature.

### XSD_ELEMENT_DECLARATION__BLOCK

    static final EAttribute XSD_ELEMENT_DECLARATION__BLOCK

  The meta object literal for the 'Block' attribute list feature.

### XSD_ELEMENT_DECLARATION__ELEMENT_DECLARATION_REFERENCE

    static final EAttribute XSD_ELEMENT_DECLARATION__ELEMENT_DECLARATION_REFERENCE

  The meta object literal for the 'Element Declaration Reference' attribute feature.

### XSD_ELEMENT_DECLARATION__CIRCULAR

    static final EAttribute XSD_ELEMENT_DECLARATION__CIRCULAR

  The meta object literal for the 'Circular' attribute feature.

### XSD_ELEMENT_DECLARATION__ANNOTATION

    static final EReference XSD_ELEMENT_DECLARATION__ANNOTATION

  The meta object literal for the 'Annotation' containment reference feature.

### XSD_ELEMENT_DECLARATION__ANONYMOUS_TYPE_DEFINITION

    static final EReference XSD_ELEMENT_DECLARATION__ANONYMOUS_TYPE_DEFINITION

  The meta object literal for the 'Anonymous Type Definition' containment reference feature.

### XSD_ELEMENT_DECLARATION__TYPE_DEFINITION

    static final EReference XSD_ELEMENT_DECLARATION__TYPE_DEFINITION

  The meta object literal for the 'Type Definition' reference feature.

### XSD_ELEMENT_DECLARATION__IDENTITY_CONSTRAINT_DEFINITIONS

    static final EReference XSD_ELEMENT_DECLARATION__IDENTITY_CONSTRAINT_DEFINITIONS

  The meta object literal for the 'Identity Constraint Definitions' containment reference list feature.

### XSD_ELEMENT_DECLARATION__RESOLVED_ELEMENT_DECLARATION

    static final EReference XSD_ELEMENT_DECLARATION__RESOLVED_ELEMENT_DECLARATION

  The meta object literal for the 'Resolved Element Declaration' reference feature.

### XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP_AFFILIATION

    static final EReference XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP_AFFILIATION

  The meta object literal for the 'Substitution Group Affiliation' reference feature.

### XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP

    static final EReference XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP

  The meta object literal for the 'Substitution Group' reference list feature.

### XSD_ENUMERATION_FACET

    static final EClass XSD_ENUMERATION_FACET

  The meta object literal for the '`Enumeration Facet`' class.

  See Also:
    `XSDEnumerationFacetImpl`, `XSDPackageImpl.getXSDEnumerationFacet()`

### XSD_ENUMERATION_FACET__VALUE

    static final EAttribute XSD_ENUMERATION_FACET__VALUE

  The meta object literal for the 'Value' attribute list feature.

### XSD_FACET

    static final EClass XSD_FACET

  The meta object literal for the '`Facet`' class.

  See Also:
    `XSDFacetImpl`, `XSDPackageImpl.getXSDFacet()`

### XSD_FACET__LEXICAL_VALUE

    static final EAttribute XSD_FACET__LEXICAL_VALUE

  The meta object literal for the 'Lexical Value' attribute feature.

### XSD_FACET__FACET_NAME

    static final EAttribute XSD_FACET__FACET_NAME

  The meta object literal for the 'Facet Name' attribute feature.

### XSD_FACET__EFFECTIVE_VALUE

    static final EAttribute XSD_FACET__EFFECTIVE_VALUE

  The meta object literal for the 'Effective Value' attribute feature.

### XSD_FACET__ANNOTATION

    static final EReference XSD_FACET__ANNOTATION

  The meta object literal for the 'Annotation' containment reference feature.

### XSD_FACET__SIMPLE_TYPE_DEFINITION

    static final EReference XSD_FACET__SIMPLE_TYPE_DEFINITION

  The meta object literal for the 'Simple Type Definition' reference feature.

### XSD_FEATURE

    static final EClass XSD_FEATURE

  The meta object literal for the '`Feature`' class.

  See Also:
    `XSDFeatureImpl`, `XSDPackageImpl.getXSDFeature()`

### XSD_FEATURE__VALUE

    static final EAttribute XSD_FEATURE__VALUE

  The meta object literal for the 'Value' attribute feature.

### XSD_FEATURE__CONSTRAINT

    static final EAttribute XSD_FEATURE__CONSTRAINT

  The meta object literal for the 'Constraint' attribute feature.

### XSD_FEATURE__FORM

    static final EAttribute XSD_FEATURE__FORM

  The meta object literal for the 'Form' attribute feature.

### XSD_FEATURE__LEXICAL_VALUE

    static final EAttribute XSD_FEATURE__LEXICAL_VALUE

  The meta object literal for the 'Lexical Value' attribute feature.

### XSD_FEATURE__GLOBAL

    static final EAttribute XSD_FEATURE__GLOBAL

  The meta object literal for the 'Global' attribute feature.

### XSD_FEATURE__FEATURE_REFERENCE

    static final EAttribute XSD_FEATURE__FEATURE_REFERENCE

  The meta object literal for the 'Feature Reference' attribute feature.

### XSD_FEATURE__SCOPE

    static final EReference XSD_FEATURE__SCOPE

  The meta object literal for the 'Scope' reference feature.

### XSD_FEATURE__RESOLVED_FEATURE

    static final EReference XSD_FEATURE__RESOLVED_FEATURE

  The meta object literal for the 'Resolved Feature' reference feature.

### XSD_FEATURE__TYPE

    static final EReference XSD_FEATURE__TYPE

  The meta object literal for the 'Type' reference feature.

### XSD_FIXED_FACET

    static final EClass XSD_FIXED_FACET

  The meta object literal for the '`Fixed Facet`' class.

  See Also:
    `XSDFixedFacetImpl`, `XSDPackageImpl.getXSDFixedFacet()`

### XSD_FIXED_FACET__FIXED

    static final EAttribute XSD_FIXED_FACET__FIXED

  The meta object literal for the 'Fixed' attribute feature.

### XSD_FRACTION_DIGITS_FACET

    static final EClass XSD_FRACTION_DIGITS_FACET

  The meta object literal for the '`Fraction Digits Facet`' class.

  See Also:
    `XSDFractionDigitsFacetImpl`, `XSDPackageImpl.getXSDFractionDigitsFacet()`

### XSD_FRACTION_DIGITS_FACET__VALUE

    static final EAttribute XSD_FRACTION_DIGITS_FACET__VALUE

  The meta object literal for the 'Value' attribute feature.

### XSD_FUNDAMENTAL_FACET

    static final EClass XSD_FUNDAMENTAL_FACET

  The meta object literal for the '`Fundamental Facet`' class.

  See Also:
    `XSDFundamentalFacetImpl`, `XSDPackageImpl.getXSDFundamentalFacet()`

### XSD_IDENTITY_CONSTRAINT_DEFINITION

    static final EClass XSD_IDENTITY_CONSTRAINT_DEFINITION

  The meta object literal for the '`Identity Constraint Definition`' class.

  See Also:
    `XSDIdentityConstraintDefinitionImpl`, `XSDPackageImpl.getXSDIdentityConstraintDefinition()`

### XSD_IDENTITY_CONSTRAINT_DEFINITION__IDENTITY_CONSTRAINT_CATEGORY

    static final EAttribute XSD_IDENTITY_CONSTRAINT_DEFINITION__IDENTITY_CONSTRAINT_CATEGORY

  The meta object literal for the 'Identity Constraint Category' attribute feature.

### XSD_IDENTITY_CONSTRAINT_DEFINITION__ANNOTATION

    static final EReference XSD_IDENTITY_CONSTRAINT_DEFINITION__ANNOTATION

  The meta object literal for the 'Annotation' containment reference feature.

### XSD_IDENTITY_CONSTRAINT_DEFINITION__REFERENCED_KEY

    static final EReference XSD_IDENTITY_CONSTRAINT_DEFINITION__REFERENCED_KEY

  The meta object literal for the 'Referenced Key' reference feature.

### XSD_IDENTITY_CONSTRAINT_DEFINITION__SELECTOR

    static final EReference XSD_IDENTITY_CONSTRAINT_DEFINITION__SELECTOR

  The meta object literal for the 'Selector' containment reference feature.

### XSD_IDENTITY_CONSTRAINT_DEFINITION__FIELDS

    static final EReference XSD_IDENTITY_CONSTRAINT_DEFINITION__FIELDS

  The meta object literal for the 'Fields' containment reference list feature.

### XSD_IMPORT

    static final EClass XSD_IMPORT

  The meta object literal for the '`Import`' class.

  See Also:
    `XSDImportImpl`, `XSDPackageImpl.getXSDImport()`

### XSD_IMPORT__NAMESPACE

    static final EAttribute XSD_IMPORT__NAMESPACE

  The meta object literal for the 'Namespace' attribute feature.

### XSD_IMPORT__ANNOTATION

    static final EReference XSD_IMPORT__ANNOTATION

  The meta object literal for the 'Annotation' containment reference feature.

### XSD_INCLUDE

    static final EClass XSD_INCLUDE

  The meta object literal for the '`Include`' class.

  See Also:
    `XSDIncludeImpl`, `XSDPackageImpl.getXSDInclude()`

### XSD_INCLUDE__ANNOTATION

    static final EReference XSD_INCLUDE__ANNOTATION

  The meta object literal for the 'Annotation' containment reference feature.

### XSD_LENGTH_FACET

    static final EClass XSD_LENGTH_FACET

  The meta object literal for the '`Length Facet`' class.

  See Also:
    `XSDLengthFacetImpl`, `XSDPackageImpl.getXSDLengthFacet()`

### XSD_LENGTH_FACET__VALUE

    static final EAttribute XSD_LENGTH_FACET__VALUE

  The meta object literal for the 'Value' attribute feature.

### XSD_MAX_EXCLUSIVE_FACET

    static final EClass XSD_MAX_EXCLUSIVE_FACET

  The meta object literal for the '`Max Exclusive Facet`' class.

  See Also:
    `XSDMaxExclusiveFacetImpl`, `XSDPackageImpl.getXSDMaxExclusiveFacet()`

### XSD_MAX_FACET

    static final EClass XSD_MAX_FACET

  The meta object literal for the '`Max Facet`' class.

  See Also:
    `XSDMaxFacetImpl`, `XSDPackageImpl.getXSDMaxFacet()`

### XSD_MAX_FACET__VALUE

    static final EAttribute XSD_MAX_FACET__VALUE

  The meta object literal for the 'Value' attribute feature.

### XSD_MAX_FACET__INCLUSIVE

    static final EAttribute XSD_MAX_FACET__INCLUSIVE

  The meta object literal for the 'Inclusive' attribute feature.

### XSD_MAX_FACET__EXCLUSIVE

    static final EAttribute XSD_MAX_FACET__EXCLUSIVE

  The meta object literal for the 'Exclusive' attribute feature.

### XSD_MAX_INCLUSIVE_FACET

    static final EClass XSD_MAX_INCLUSIVE_FACET

  The meta object literal for the '`Max Inclusive Facet`' class.

  See Also:
    `XSDMaxInclusiveFacetImpl`, `XSDPackageImpl.getXSDMaxInclusiveFacet()`

### XSD_MAX_LENGTH_FACET

    static final EClass XSD_MAX_LENGTH_FACET

  The meta object literal for the '`Max Length Facet`' class.

  See Also:
    `XSDMaxLengthFacetImpl`, `XSDPackageImpl.getXSDMaxLengthFacet()`

### XSD_MAX_LENGTH_FACET__VALUE

    static final EAttribute XSD_MAX_LENGTH_FACET__VALUE

  The meta object literal for the 'Value' attribute feature.

### XSD_MIN_EXCLUSIVE_FACET

    static final EClass XSD_MIN_EXCLUSIVE_FACET

  The meta object literal for the '`Min Exclusive Facet`' class.

  See Also:
    `XSDMinExclusiveFacetImpl`, `XSDPackageImpl.getXSDMinExclusiveFacet()`

### XSD_MIN_FACET

    static final EClass XSD_MIN_FACET

  The meta object literal for the '`Min Facet`' class.

  See Also:
    `XSDMinFacetImpl`, `XSDPackageImpl.getXSDMinFacet()`

### XSD_MIN_FACET__VALUE

    static final EAttribute XSD_MIN_FACET__VALUE

  The meta object literal for the 'Value' attribute feature.

### XSD_MIN_FACET__INCLUSIVE

    static final EAttribute XSD_MIN_FACET__INCLUSIVE

  The meta object literal for the 'Inclusive' attribute feature.

### XSD_MIN_FACET__EXCLUSIVE

    static final EAttribute XSD_MIN_FACET__EXCLUSIVE

  The meta object literal for the 'Exclusive' attribute feature.

### XSD_MIN_INCLUSIVE_FACET

    static final EClass XSD_MIN_INCLUSIVE_FACET

  The meta object literal for the '`Min Inclusive Facet`' class.

  See Also:
    `XSDMinInclusiveFacetImpl`, `XSDPackageImpl.getXSDMinInclusiveFacet()`

### XSD_MIN_LENGTH_FACET

    static final EClass XSD_MIN_LENGTH_FACET

  The meta object literal for the '`Min Length Facet`' class.

  See Also:
    `XSDMinLengthFacetImpl`, `XSDPackageImpl.getXSDMinLengthFacet()`

### XSD_MIN_LENGTH_FACET__VALUE

    static final EAttribute XSD_MIN_LENGTH_FACET__VALUE

  The meta object literal for the 'Value' attribute feature.

### XSD_MODEL_GROUP

    static final EClass XSD_MODEL_GROUP

  The meta object literal for the '`Model Group`' class.

  See Also:
    `XSDModelGroupImpl`, `XSDPackageImpl.getXSDModelGroup()`

### XSD_MODEL_GROUP__COMPOSITOR

    static final EAttribute XSD_MODEL_GROUP__COMPOSITOR

  The meta object literal for the 'Compositor' attribute feature.

### XSD_MODEL_GROUP__ANNOTATION

    static final EReference XSD_MODEL_GROUP__ANNOTATION

  The meta object literal for the 'Annotation' containment reference feature.

### XSD_MODEL_GROUP__CONTENTS

    static final EReference XSD_MODEL_GROUP__CONTENTS

  The meta object literal for the 'Contents' containment reference list feature.

### XSD_MODEL_GROUP__PARTICLES

    static final EReference XSD_MODEL_GROUP__PARTICLES

  The meta object literal for the 'Particles' reference list feature.

### XSD_MODEL_GROUP_DEFINITION

    static final EClass XSD_MODEL_GROUP_DEFINITION

  The meta object literal for the '`Model Group Definition`' class.

  See Also:
    `XSDModelGroupDefinitionImpl`, `XSDPackageImpl.getXSDModelGroupDefinition()`

### XSD_MODEL_GROUP_DEFINITION__MODEL_GROUP_DEFINITION_REFERENCE

    static final EAttribute XSD_MODEL_GROUP_DEFINITION__MODEL_GROUP_DEFINITION_REFERENCE

  The meta object literal for the 'Model Group Definition Reference' attribute feature.

### XSD_MODEL_GROUP_DEFINITION__ANNOTATION

    static final EReference XSD_MODEL_GROUP_DEFINITION__ANNOTATION

  The meta object literal for the 'Annotation' containment reference feature.

### XSD_MODEL_GROUP_DEFINITION__MODEL_GROUP

    static final EReference XSD_MODEL_GROUP_DEFINITION__MODEL_GROUP

  The meta object literal for the 'Model Group' containment reference feature.

### XSD_MODEL_GROUP_DEFINITION__RESOLVED_MODEL_GROUP_DEFINITION

    static final EReference XSD_MODEL_GROUP_DEFINITION__RESOLVED_MODEL_GROUP_DEFINITION

  The meta object literal for the 'Resolved Model Group Definition' reference feature.

### XSD_NAMED_COMPONENT

    static final EClass XSD_NAMED_COMPONENT

  The meta object literal for the '`Named Component`' class.

  See Also:
    `XSDNamedComponentImpl`, `XSDPackageImpl.getXSDNamedComponent()`

### XSD_NAMED_COMPONENT__NAME

    static final EAttribute XSD_NAMED_COMPONENT__NAME

  The meta object literal for the 'Name' attribute feature.

### XSD_NAMED_COMPONENT__TARGET_NAMESPACE

    static final EAttribute XSD_NAMED_COMPONENT__TARGET_NAMESPACE

  The meta object literal for the 'Target Namespace' attribute feature.

### XSD_NAMED_COMPONENT__ALIAS_NAME

    static final EAttribute XSD_NAMED_COMPONENT__ALIAS_NAME

  The meta object literal for the 'Alias Name' attribute feature.

### XSD_NAMED_COMPONENT__URI

    static final EAttribute XSD_NAMED_COMPONENT__URI

  The meta object literal for the 'URI' attribute feature.

### XSD_NAMED_COMPONENT__ALIAS_URI

    static final EAttribute XSD_NAMED_COMPONENT__ALIAS_URI

  The meta object literal for the 'Alias URI' attribute feature.

### XSD_NAMED_COMPONENT__QNAME

    static final EAttribute XSD_NAMED_COMPONENT__QNAME

  The meta object literal for the 'QName' attribute feature.

### XSD_NOTATION_DECLARATION

    static final EClass XSD_NOTATION_DECLARATION

  The meta object literal for the '`Notation Declaration`' class.

  See Also:
    `XSDNotationDeclarationImpl`, `XSDPackageImpl.getXSDNotationDeclaration()`

### XSD_NOTATION_DECLARATION__SYSTEM_IDENTIFIER

    static final EAttribute XSD_NOTATION_DECLARATION__SYSTEM_IDENTIFIER

  The meta object literal for the 'System Identifier' attribute feature.

### XSD_NOTATION_DECLARATION__PUBLIC_IDENTIFIER

    static final EAttribute XSD_NOTATION_DECLARATION__PUBLIC_IDENTIFIER

  The meta object literal for the 'Public Identifier' attribute feature.

### XSD_NOTATION_DECLARATION__ANNOTATION

    static final EReference XSD_NOTATION_DECLARATION__ANNOTATION

  The meta object literal for the 'Annotation' containment reference feature.

### XSD_NUMERIC_FACET

    static final EClass XSD_NUMERIC_FACET

  The meta object literal for the '`Numeric Facet`' class.

  See Also:
    `XSDNumericFacetImpl`, `XSDPackageImpl.getXSDNumericFacet()`

### XSD_NUMERIC_FACET__VALUE

    static final EAttribute XSD_NUMERIC_FACET__VALUE

  The meta object literal for the 'Value' attribute feature.

### XSD_ORDERED_FACET

    static final EClass XSD_ORDERED_FACET

  The meta object literal for the '`Ordered Facet`' class.

  See Also:
    `XSDOrderedFacetImpl`, `XSDPackageImpl.getXSDOrderedFacet()`

### XSD_ORDERED_FACET__VALUE

    static final EAttribute XSD_ORDERED_FACET__VALUE

  The meta object literal for the 'Value' attribute feature.

### XSD_PARTICLE

    static final EClass XSD_PARTICLE

  The meta object literal for the '`Particle`' class.

  See Also:
    `XSDParticleImpl`, `XSDPackageImpl.getXSDParticle()`

### XSD_PARTICLE__MIN_OCCURS

    static final EAttribute XSD_PARTICLE__MIN_OCCURS

  The meta object literal for the 'Min Occurs' attribute feature.

### XSD_PARTICLE__MAX_OCCURS

    static final EAttribute XSD_PARTICLE__MAX_OCCURS

  The meta object literal for the 'Max Occurs' attribute feature.

### XSD_PARTICLE__CONTENT

    static final EReference XSD_PARTICLE__CONTENT

  The meta object literal for the 'Content' containment reference feature.

### XSD_PARTICLE__TERM

    static final EReference XSD_PARTICLE__TERM

  The meta object literal for the 'Term' reference feature.

### XSD_PARTICLE_CONTENT

    static final EClass XSD_PARTICLE_CONTENT

  The meta object literal for the '`Particle Content`' class.

  See Also:
    `XSDParticleContentImpl`, `XSDPackageImpl.getXSDParticleContent()`

### XSD_PATTERN_FACET

    static final EClass XSD_PATTERN_FACET

  The meta object literal for the '`Pattern Facet`' class.

  See Also:
    `XSDPatternFacetImpl`, `XSDPackageImpl.getXSDPatternFacet()`

### XSD_PATTERN_FACET__VALUE

    static final EAttribute XSD_PATTERN_FACET__VALUE

  The meta object literal for the 'Value' attribute list feature.

### XSD_REDEFINABLE_COMPONENT

    static final EClass XSD_REDEFINABLE_COMPONENT

  The meta object literal for the '`Redefinable Component`' class.

  See Also:
    `XSDRedefinableComponentImpl`, `XSDPackageImpl.getXSDRedefinableComponent()`

### XSD_REDEFINABLE_COMPONENT__CIRCULAR

    static final EAttribute XSD_REDEFINABLE_COMPONENT__CIRCULAR

  The meta object literal for the 'Circular' attribute feature.

### XSD_REDEFINE_CONTENT

    static final EClass XSD_REDEFINE_CONTENT

  The meta object literal for the '`Redefine Content`' class.

  See Also:
    `XSDRedefineContentImpl`, `XSDPackageImpl.getXSDRedefineContent()`

### XSD_REDEFINE

    static final EClass XSD_REDEFINE

  The meta object literal for the '`Redefine`' class.

  See Also:
    `XSDRedefineImpl`, `XSDPackageImpl.getXSDRedefine()`

### XSD_REDEFINE__ANNOTATIONS

    static final EReference XSD_REDEFINE__ANNOTATIONS

  The meta object literal for the 'Annotations' reference list feature.

### XSD_REDEFINE__CONTENTS

    static final EReference XSD_REDEFINE__CONTENTS

  The meta object literal for the 'Contents' containment reference list feature.

### XSD_REPEATABLE_FACET

    static final EClass XSD_REPEATABLE_FACET

  The meta object literal for the '`Repeatable Facet`' class.

  See Also:
    `XSDRepeatableFacetImpl`, `XSDPackageImpl.getXSDRepeatableFacet()`

### XSD_REPEATABLE_FACET__ANNOTATIONS

    static final EReference XSD_REPEATABLE_FACET__ANNOTATIONS

  The meta object literal for the 'Annotations' reference list feature.

### XSD_SCHEMA

    static final EClass XSD_SCHEMA

  The meta object literal for the '`Schema`' class.

  See Also:
    `XSDSchemaImpl`, `XSDPackageImpl.getXSDSchema()`

### XSD_SCHEMA__DOCUMENT

    static final EAttribute XSD_SCHEMA__DOCUMENT

  The meta object literal for the 'Document' attribute feature.

### XSD_SCHEMA__SCHEMA_LOCATION

    static final EAttribute XSD_SCHEMA__SCHEMA_LOCATION

  The meta object literal for the 'Schema Location' attribute feature.

### XSD_SCHEMA__TARGET_NAMESPACE

    static final EAttribute XSD_SCHEMA__TARGET_NAMESPACE

  The meta object literal for the 'Target Namespace' attribute feature.

### XSD_SCHEMA__ATTRIBUTE_FORM_DEFAULT

    static final EAttribute XSD_SCHEMA__ATTRIBUTE_FORM_DEFAULT

  The meta object literal for the 'Attribute Form Default' attribute feature.

### XSD_SCHEMA__ELEMENT_FORM_DEFAULT

    static final EAttribute XSD_SCHEMA__ELEMENT_FORM_DEFAULT

  The meta object literal for the 'Element Form Default' attribute feature.

### XSD_SCHEMA__FINAL_DEFAULT

    static final EAttribute XSD_SCHEMA__FINAL_DEFAULT

  The meta object literal for the 'Final Default' attribute list feature.

### XSD_SCHEMA__BLOCK_DEFAULT

    static final EAttribute XSD_SCHEMA__BLOCK_DEFAULT

  The meta object literal for the 'Block Default' attribute list feature.

### XSD_SCHEMA__VERSION

    static final EAttribute XSD_SCHEMA__VERSION

  The meta object literal for the 'Version' attribute feature.

### XSD_SCHEMA__CONTENTS

    static final EReference XSD_SCHEMA__CONTENTS

  The meta object literal for the 'Contents' containment reference list feature.

### XSD_SCHEMA__ELEMENT_DECLARATIONS

    static final EReference XSD_SCHEMA__ELEMENT_DECLARATIONS

  The meta object literal for the 'Element Declarations' reference list feature.

### XSD_SCHEMA__ATTRIBUTE_DECLARATIONS

    static final EReference XSD_SCHEMA__ATTRIBUTE_DECLARATIONS

  The meta object literal for the 'Attribute Declarations' reference list feature.

### XSD_SCHEMA__ATTRIBUTE_GROUP_DEFINITIONS

    static final EReference XSD_SCHEMA__ATTRIBUTE_GROUP_DEFINITIONS

  The meta object literal for the 'Attribute Group Definitions' reference list feature.

### XSD_SCHEMA__TYPE_DEFINITIONS

    static final EReference XSD_SCHEMA__TYPE_DEFINITIONS

  The meta object literal for the 'Type Definitions' reference list feature.

### XSD_SCHEMA__MODEL_GROUP_DEFINITIONS

    static final EReference XSD_SCHEMA__MODEL_GROUP_DEFINITIONS

  The meta object literal for the 'Model Group Definitions' reference list feature.

### XSD_SCHEMA__IDENTITY_CONSTRAINT_DEFINITIONS

    static final EReference XSD_SCHEMA__IDENTITY_CONSTRAINT_DEFINITIONS

  The meta object literal for the 'Identity Constraint Definitions' reference list feature.

### XSD_SCHEMA__NOTATION_DECLARATIONS

    static final EReference XSD_SCHEMA__NOTATION_DECLARATIONS

  The meta object literal for the 'Notation Declarations' reference list feature.

### XSD_SCHEMA__ANNOTATIONS

    static final EReference XSD_SCHEMA__ANNOTATIONS

  The meta object literal for the 'Annotations' reference list feature.

### XSD_SCHEMA__ALL_DIAGNOSTICS

    static final EReference XSD_SCHEMA__ALL_DIAGNOSTICS

  The meta object literal for the 'All Diagnostics' reference list feature.

### XSD_SCHEMA__REFERENCING_DIRECTIVES

    static final EReference XSD_SCHEMA__REFERENCING_DIRECTIVES

  The meta object literal for the 'Referencing Directives' reference list feature.

### XSD_SCHEMA__ROOT_VERSION

    static final EReference XSD_SCHEMA__ROOT_VERSION

  The meta object literal for the 'Root Version' reference feature.

### XSD_SCHEMA__ORIGINAL_VERSION

    static final EReference XSD_SCHEMA__ORIGINAL_VERSION

  The meta object literal for the 'Original Version' reference feature.

### XSD_SCHEMA__INCORPORATED_VERSIONS

    static final EReference XSD_SCHEMA__INCORPORATED_VERSIONS

  The meta object literal for the 'Incorporated Versions' containment reference list feature.

### XSD_SCHEMA__SCHEMA_FOR_SCHEMA

    static final EReference XSD_SCHEMA__SCHEMA_FOR_SCHEMA

  The meta object literal for the 'Schema For Schema' reference feature.

### XSD_SCHEMA_COMPOSITOR

    static final EClass XSD_SCHEMA_COMPOSITOR

  The meta object literal for the '`Schema Compositor`' class.

  See Also:
    `XSDSchemaCompositorImpl`, `XSDPackageImpl.getXSDSchemaCompositor()`

### XSD_SCHEMA_COMPOSITOR__INCORPORATED_SCHEMA

    static final EReference XSD_SCHEMA_COMPOSITOR__INCORPORATED_SCHEMA

  The meta object literal for the 'Incorporated Schema' reference feature.

### XSD_SCHEMA_CONTENT

    static final EClass XSD_SCHEMA_CONTENT

  The meta object literal for the '`Schema Content`' class.

  See Also:
    `XSDSchemaContentImpl`, `XSDPackageImpl.getXSDSchemaContent()`

### XSD_SCHEMA_DIRECTIVE

    static final EClass XSD_SCHEMA_DIRECTIVE

  The meta object literal for the '`Schema Directive`' class.

  See Also:
    `XSDSchemaDirectiveImpl`, `XSDPackageImpl.getXSDSchemaDirective()`

### XSD_SCHEMA_DIRECTIVE__SCHEMA_LOCATION

    static final EAttribute XSD_SCHEMA_DIRECTIVE__SCHEMA_LOCATION

  The meta object literal for the 'Schema Location' attribute feature.

### XSD_SCHEMA_DIRECTIVE__RESOLVED_SCHEMA

    static final EReference XSD_SCHEMA_DIRECTIVE__RESOLVED_SCHEMA

  The meta object literal for the 'Resolved Schema' reference feature.

### XSD_SCOPE

    static final EClass XSD_SCOPE

  The meta object literal for the '`Scope`' class.

  See Also:
    `XSDScopeImpl`, `XSDPackageImpl.getXSDScope()`

### XSD_SIMPLE_TYPE_DEFINITION

    static final EClass XSD_SIMPLE_TYPE_DEFINITION

  The meta object literal for the '`Simple Type Definition`' class.

  See Also:
    `XSDSimpleTypeDefinitionImpl`, `XSDPackageImpl.getXSDSimpleTypeDefinition()`

### XSD_SIMPLE_TYPE_DEFINITION__VARIETY

    static final EAttribute XSD_SIMPLE_TYPE_DEFINITION__VARIETY

  The meta object literal for the 'Variety' attribute feature.

### XSD_SIMPLE_TYPE_DEFINITION__FINAL

    static final EAttribute XSD_SIMPLE_TYPE_DEFINITION__FINAL

  The meta object literal for the 'Final' attribute list feature.

### XSD_SIMPLE_TYPE_DEFINITION__LEXICAL_FINAL

    static final EAttribute XSD_SIMPLE_TYPE_DEFINITION__LEXICAL_FINAL

  The meta object literal for the 'Lexical Final' attribute list feature.

### XSD_SIMPLE_TYPE_DEFINITION__VALID_FACETS

    static final EAttribute XSD_SIMPLE_TYPE_DEFINITION__VALID_FACETS

  The meta object literal for the 'Valid Facets' attribute list feature.

### XSD_SIMPLE_TYPE_DEFINITION__CONTENTS

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__CONTENTS

  The meta object literal for the 'Contents' containment reference list feature.

### XSD_SIMPLE_TYPE_DEFINITION__FACET_CONTENTS

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__FACET_CONTENTS

  The meta object literal for the 'Facet Contents' containment reference list feature.

### XSD_SIMPLE_TYPE_DEFINITION__FACETS

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__FACETS

  The meta object literal for the 'Facets' reference list feature.

### XSD_SIMPLE_TYPE_DEFINITION__MEMBER_TYPE_DEFINITIONS

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__MEMBER_TYPE_DEFINITIONS

  The meta object literal for the 'Member Type Definitions' reference list feature.

### XSD_SIMPLE_TYPE_DEFINITION__FUNDAMENTAL_FACETS

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__FUNDAMENTAL_FACETS

  The meta object literal for the 'Fundamental Facets' containment reference list feature.

### XSD_SIMPLE_TYPE_DEFINITION__BASE_TYPE_DEFINITION

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__BASE_TYPE_DEFINITION

  The meta object literal for the 'Base Type Definition' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__PRIMITIVE_TYPE_DEFINITION

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__PRIMITIVE_TYPE_DEFINITION

  The meta object literal for the 'Primitive Type Definition' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__ITEM_TYPE_DEFINITION

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__ITEM_TYPE_DEFINITION

  The meta object literal for the 'Item Type Definition' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__ROOT_TYPE_DEFINITION

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__ROOT_TYPE_DEFINITION

  The meta object literal for the 'Root Type Definition' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__MIN_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__MIN_FACET

  The meta object literal for the 'Min Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__MAX_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__MAX_FACET

  The meta object literal for the 'Max Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__MAX_INCLUSIVE_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__MAX_INCLUSIVE_FACET

  The meta object literal for the 'Max Inclusive Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__MIN_INCLUSIVE_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__MIN_INCLUSIVE_FACET

  The meta object literal for the 'Min Inclusive Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__MIN_EXCLUSIVE_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__MIN_EXCLUSIVE_FACET

  The meta object literal for the 'Min Exclusive Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__MAX_EXCLUSIVE_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__MAX_EXCLUSIVE_FACET

  The meta object literal for the 'Max Exclusive Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__LENGTH_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__LENGTH_FACET

  The meta object literal for the 'Length Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__WHITE_SPACE_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__WHITE_SPACE_FACET

  The meta object literal for the 'White Space Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__ENUMERATION_FACETS

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__ENUMERATION_FACETS

  The meta object literal for the 'Enumeration Facets' reference list feature.

### XSD_SIMPLE_TYPE_DEFINITION__PATTERN_FACETS

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__PATTERN_FACETS

  The meta object literal for the 'Pattern Facets' reference list feature.

### XSD_SIMPLE_TYPE_DEFINITION__CARDINALITY_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__CARDINALITY_FACET

  The meta object literal for the 'Cardinality Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__NUMERIC_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__NUMERIC_FACET

  The meta object literal for the 'Numeric Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__MAX_LENGTH_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__MAX_LENGTH_FACET

  The meta object literal for the 'Max Length Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__MIN_LENGTH_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__MIN_LENGTH_FACET

  The meta object literal for the 'Min Length Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__TOTAL_DIGITS_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__TOTAL_DIGITS_FACET

  The meta object literal for the 'Total Digits Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__FRACTION_DIGITS_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__FRACTION_DIGITS_FACET

  The meta object literal for the 'Fraction Digits Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__ORDERED_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__ORDERED_FACET

  The meta object literal for the 'Ordered Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__BOUNDED_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__BOUNDED_FACET

  The meta object literal for the 'Bounded Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MAX_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MAX_FACET

  The meta object literal for the 'Effective Max Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_WHITE_SPACE_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_WHITE_SPACE_FACET

  The meta object literal for the 'Effective White Space Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MAX_LENGTH_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MAX_LENGTH_FACET

  The meta object literal for the 'Effective Max Length Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_FRACTION_DIGITS_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_FRACTION_DIGITS_FACET

  The meta object literal for the 'Effective Fraction Digits Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_PATTERN_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_PATTERN_FACET

  The meta object literal for the 'Effective Pattern Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_ENUMERATION_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_ENUMERATION_FACET

  The meta object literal for the 'Effective Enumeration Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_TOTAL_DIGITS_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_TOTAL_DIGITS_FACET

  The meta object literal for the 'Effective Total Digits Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MIN_LENGTH_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MIN_LENGTH_FACET

  The meta object literal for the 'Effective Min Length Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_LENGTH_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_LENGTH_FACET

  The meta object literal for the 'Effective Length Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MIN_FACET

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MIN_FACET

  The meta object literal for the 'Effective Min Facet' reference feature.

### XSD_SIMPLE_TYPE_DEFINITION__SYNTHETIC_FACETS

    static final EReference XSD_SIMPLE_TYPE_DEFINITION__SYNTHETIC_FACETS

  The meta object literal for the 'Synthetic Facets' containment reference list feature.

### XSD_TERM

    static final EClass XSD_TERM

  The meta object literal for the '`Term`' class.

  See Also:
    `XSDTermImpl`, `XSDPackageImpl.getXSDTerm()`

### XSD_TOTAL_DIGITS_FACET

    static final EClass XSD_TOTAL_DIGITS_FACET

  The meta object literal for the '`Total Digits Facet`' class.

  See Also:
    `XSDTotalDigitsFacetImpl`, `XSDPackageImpl.getXSDTotalDigitsFacet()`

### XSD_TOTAL_DIGITS_FACET__VALUE

    static final EAttribute XSD_TOTAL_DIGITS_FACET__VALUE

  The meta object literal for the 'Value' attribute feature.

### XSD_TYPE_DEFINITION

    static final EClass XSD_TYPE_DEFINITION

  The meta object literal for the '`Type Definition`' class.

  See Also:
    `XSDTypeDefinitionImpl`, `XSDPackageImpl.getXSDTypeDefinition()`

### XSD_TYPE_DEFINITION__ANNOTATION

    static final EReference XSD_TYPE_DEFINITION__ANNOTATION

  The meta object literal for the 'Annotation' containment reference feature.

### XSD_TYPE_DEFINITION__DERIVATION_ANNOTATION

    static final EReference XSD_TYPE_DEFINITION__DERIVATION_ANNOTATION

  The meta object literal for the 'Derivation Annotation' containment reference feature.

### XSD_TYPE_DEFINITION__ANNOTATIONS

    static final EReference XSD_TYPE_DEFINITION__ANNOTATIONS

  The meta object literal for the 'Annotations' reference list feature.

### XSD_TYPE_DEFINITION__ROOT_TYPE

    static final EReference XSD_TYPE_DEFINITION__ROOT_TYPE

  The meta object literal for the 'Root Type' reference feature.

### XSD_TYPE_DEFINITION__BASE_TYPE

    static final EReference XSD_TYPE_DEFINITION__BASE_TYPE

  The meta object literal for the 'Base Type' reference feature.

### XSD_TYPE_DEFINITION__SIMPLE_TYPE

    static final EReference XSD_TYPE_DEFINITION__SIMPLE_TYPE

  The meta object literal for the 'Simple Type' reference feature.

### XSD_TYPE_DEFINITION__COMPLEX_TYPE

    static final EReference XSD_TYPE_DEFINITION__COMPLEX_TYPE

  The meta object literal for the 'Complex Type' reference feature.

### XSD_WHITE_SPACE_FACET

    static final EClass XSD_WHITE_SPACE_FACET

  The meta object literal for the '`White Space Facet`' class.

  See Also:
    `XSDWhiteSpaceFacetImpl`, `XSDPackageImpl.getXSDWhiteSpaceFacet()`

### XSD_WHITE_SPACE_FACET__VALUE

    static final EAttribute XSD_WHITE_SPACE_FACET__VALUE

  The meta object literal for the 'Value' attribute feature.

### XSD_WILDCARD

    static final EClass XSD_WILDCARD

  The meta object literal for the '`Wildcard`' class.

  See Also:
    `XSDWildcardImpl`, `XSDPackageImpl.getXSDWildcard()`

### XSD_WILDCARD__NAMESPACE_CONSTRAINT_CATEGORY

    static final EAttribute XSD_WILDCARD__NAMESPACE_CONSTRAINT_CATEGORY

  The meta object literal for the 'Namespace Constraint Category' attribute feature.

### XSD_WILDCARD__NAMESPACE_CONSTRAINT

    static final EAttribute XSD_WILDCARD__NAMESPACE_CONSTRAINT

  The meta object literal for the 'Namespace Constraint' attribute list feature.

### XSD_WILDCARD__PROCESS_CONTENTS

    static final EAttribute XSD_WILDCARD__PROCESS_CONTENTS

  The meta object literal for the 'Process Contents' attribute feature.

### XSD_WILDCARD__LEXICAL_NAMESPACE_CONSTRAINT

    static final EAttribute XSD_WILDCARD__LEXICAL_NAMESPACE_CONSTRAINT

  The meta object literal for the 'Lexical Namespace Constraint' attribute list feature.

### XSD_WILDCARD__ANNOTATION

    static final EReference XSD_WILDCARD__ANNOTATION

  The meta object literal for the 'Annotation' containment reference feature.

### XSD_WILDCARD__ANNOTATIONS

    static final EReference XSD_WILDCARD__ANNOTATIONS

  The meta object literal for the 'Annotations' reference list feature.

### XSD_XPATH_DEFINITION

    static final EClass XSD_XPATH_DEFINITION

  The meta object literal for the '`XPath Definition`' class.

  See Also:
    `XSDXPathDefinitionImpl`, `XSDPackageImpl.getXSDXPathDefinition()`

### XSD_XPATH_DEFINITION__VARIETY

    static final EAttribute XSD_XPATH_DEFINITION__VARIETY

  The meta object literal for the 'Variety' attribute feature.

### XSD_XPATH_DEFINITION__VALUE

    static final EAttribute XSD_XPATH_DEFINITION__VALUE

  The meta object literal for the 'Value' attribute feature.

### XSD_XPATH_DEFINITION__ANNOTATION

    static final EReference XSD_XPATH_DEFINITION__ANNOTATION

  The meta object literal for the 'Annotation' containment reference feature.

### XSD_ATTRIBUTE_USE_CATEGORY

    static final EEnum XSD_ATTRIBUTE_USE_CATEGORY

  The meta object literal for the '`Attribute Use Category`' enum.

  See Also:
    `XSDAttributeUseCategory`, `XSDPackageImpl.getXSDAttributeUseCategory()`

### XSD_CARDINALITY

    static final EEnum XSD_CARDINALITY

  The meta object literal for the '`Cardinality`' enum.

  See Also:
    `XSDCardinality`, `XSDPackageImpl.getXSDCardinality()`

### XSD_COMPLEX_FINAL

    static final EEnum XSD_COMPLEX_FINAL

  The meta object literal for the '`Complex Final`' enum.

  See Also:
    `XSDComplexFinal`, `XSDPackageImpl.getXSDComplexFinal()`

### XSD_COMPOSITOR

    static final EEnum XSD_COMPOSITOR

  The meta object literal for the '`Compositor`' enum.

  See Also:
    `XSDCompositor`, `XSDPackageImpl.getXSDCompositor()`

### XSD_CONSTRAINT

    static final EEnum XSD_CONSTRAINT

  The meta object literal for the '`Constraint`' enum.

  See Also:
    `XSDConstraint`, `XSDPackageImpl.getXSDConstraint()`

### XSD_CONTENT_TYPE_CATEGORY

    static final EEnum XSD_CONTENT_TYPE_CATEGORY

  The meta object literal for the '`Content Type Category`' enum.

  See Also:
    `XSDContentTypeCategory`, `XSDPackageImpl.getXSDContentTypeCategory()`

### XSD_DERIVATION_METHOD

    static final EEnum XSD_DERIVATION_METHOD

  The meta object literal for the '`Derivation Method`' enum.

  See Also:
    `XSDDerivationMethod`, `XSDPackageImpl.getXSDDerivationMethod()`

### XSD_DIAGNOSTIC_SEVERITY

    static final EEnum XSD_DIAGNOSTIC_SEVERITY

  The meta object literal for the '`Diagnostic Severity`' enum.

  See Also:
    `XSDDiagnosticSeverity`, `XSDPackageImpl.getXSDDiagnosticSeverity()`

### XSD_DISALLOWED_SUBSTITUTIONS

    static final EEnum XSD_DISALLOWED_SUBSTITUTIONS

  The meta object literal for the '`Disallowed Substitutions`' enum.

  See Also:
    `XSDDisallowedSubstitutions`, `XSDPackageImpl.getXSDDisallowedSubstitutions()`

### XSD_FORM

    static final EEnum XSD_FORM

  The meta object literal for the '`Form`' enum.

  See Also:
    `XSDForm`, `XSDPackageImpl.getXSDForm()`

### XSD_IDENTITY_CONSTRAINT_CATEGORY

    static final EEnum XSD_IDENTITY_CONSTRAINT_CATEGORY

  The meta object literal for the '`Identity Constraint Category`' enum.

  See Also:
    `XSDIdentityConstraintCategory`, `XSDPackageImpl.getXSDIdentityConstraintCategory()`

### XSD_NAMESPACE_CONSTRAINT_CATEGORY

    static final EEnum XSD_NAMESPACE_CONSTRAINT_CATEGORY

  The meta object literal for the '`Namespace Constraint Category`' enum.

  See Also:
    `XSDNamespaceConstraintCategory`, `XSDPackageImpl.getXSDNamespaceConstraintCategory()`

### XSD_ORDERED

    static final EEnum XSD_ORDERED

  The meta object literal for the '`Ordered`' enum.

  See Also:
    `XSDOrdered`, `XSDPackageImpl.getXSDOrdered()`

### XSD_PROCESS_CONTENTS

    static final EEnum XSD_PROCESS_CONTENTS

  The meta object literal for the '`Process Contents`' enum.

  See Also:
    `XSDProcessContents`, `XSDPackageImpl.getXSDProcessContents()`

### XSD_PROHIBITED_SUBSTITUTIONS

    static final EEnum XSD_PROHIBITED_SUBSTITUTIONS

  The meta object literal for the '`Prohibited Substitutions`' enum.

  See Also:
    `XSDProhibitedSubstitutions`, `XSDPackageImpl.getXSDProhibitedSubstitutions()`

### XSD_SIMPLE_FINAL

    static final EEnum XSD_SIMPLE_FINAL

  The meta object literal for the '`Simple Final`' enum.

  See Also:
    `XSDSimpleFinal`, `XSDPackageImpl.getXSDSimpleFinal()`

### XSD_SUBSTITUTION_GROUP_EXCLUSIONS

    static final EEnum XSD_SUBSTITUTION_GROUP_EXCLUSIONS

  The meta object literal for the '`Substitution Group Exclusions`' enum.

  See Also:
    `XSDSubstitutionGroupExclusions`, `XSDPackageImpl.getXSDSubstitutionGroupExclusions()`

### XSD_VARIETY

    static final EEnum XSD_VARIETY

  The meta object literal for the '`Variety`' enum.

  See Also:
    `XSDVariety`, `XSDPackageImpl.getXSDVariety()`

### XSD_WHITE_SPACE

    static final EEnum XSD_WHITE_SPACE

  The meta object literal for the '`White Space`' enum.

  See Also:
    `XSDWhiteSpace`, `XSDPackageImpl.getXSDWhiteSpace()`

### XSD_XPATH_VARIETY

    static final EEnum XSD_XPATH_VARIETY

  The meta object literal for the '`XPath Variety`' enum.

  See Also:
    `XSDXPathVariety`, `XSDPackageImpl.getXSDXPathVariety()`

### DOM_ATTR

    static final EDataType DOM_ATTR

  The meta object literal for the 'DOM Attr' data type.

  See Also:
    `Attr`, `XSDPackageImpl.getDOMAttr()`

### DOM_DOCUMENT

    static final EDataType DOM_DOCUMENT

  The meta object literal for the 'DOM Document' data type.

  See Also:
    `Document`, `XSDPackageImpl.getDOMDocument()`

### DOM_ELEMENT

    static final EDataType DOM_ELEMENT

  The meta object literal for the 'DOM Element' data type.

  See Also:
    `Element`, `XSDPackageImpl.getDOMElement()`

### DOM_NODE

    static final EDataType DOM_NODE

  The meta object literal for the 'DOM Node' data type.

  See Also:
    `Node`, `XSDPackageImpl.getDOMNode()`

### VALUE

    static final EDataType VALUE

  The meta object literal for the 'Value' data type.

  See Also:
    `Object`, `XSDPackageImpl.getValue()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.